diff --git a/runtime/src/js/pgadmin.js b/runtime/src/js/pgadmin.js
index 14bbaeeb9..d1ddbb113 100644
--- a/runtime/src/js/pgadmin.js
+++ b/runtime/src/js/pgadmin.js
@@ -70,6 +70,12 @@ function startDesktopMode() {
   misc.writeServerLog('pgAdmin Command: "' + command + '"');
   misc.writeServerLog('Environment: ');
   Object.keys(process.env).forEach(function(key) {
+    // Below code is included only for Mac OS as default path for azure CLI installtation path
+    // is not included in PATH variable while spawning runtime environment. 
+    if (navigator.appVersion.indexOf('Mac') != -1 && key ==='PATH'){
+      let updated_path = process.env[key] + ':/usr/local/bin';
+      process.env[key] = updated_path;
+    }
     misc.writeServerLog('  - ' + key + ': ' + process.env[key]);
   });
   misc.writeServerLog('--------------------------------------------------------\n');
